Summary:	A console program to nicely view squid's log
Summary(pl.UTF-8):	Konsolowy program pozwalający oglądać logi squida
Name:		squidview
Version:	0.81
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://www.rillion.net/squidview/%{name}-%{version}.tar.gz
# Source0-md5:	5cb6c69157cc0c0afb425175953c3866
Patch0:		%{name}-pld.patch
Patch1:		%{name}-curses,howto-dest.patch
URL:		http://www.rillion.net/squidview/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Squidview is an interactive console program which monitors squid logs
and displays them in a nice fashion. It has searching and reporting
functions, giving information like per user bandwidth and cache hits.

%description -l pl.UTF-8
Squidview jest interaktywnym konsolowym programem, który monitoruje
logi squida i wyświetla je w przyjemny sposób. Ma funkcje szukania i
raportowania, dając informacje takie jak przepustowość na użytkownika
i trafienia cache-a.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} \
	CXXFLAGS="-I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX="%{_prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS ChangeLog HOWTO README users words aliases
%attr(755,root,root) %{_bindir}/squidview
%{_mandir}/man1/*
%changelog
* Fri Jan 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/squidview.git;a=log;h=master

* Fri Jan 09 2015 Łukasz Kieś <kiesiu@pld-linux.org> 7c2ab9c
- updated to 0.81

* Sun Feb 09 2014 Łukasz Kieś <kiesiu@pld-linux.org> 0b5ee98
- updated to 0.80

* Fri Jul 26 2013 Mateusz Korniak <matkor@pld-linux.org> e56e110
- Rel 3. Fixed binary privs, so regular users being in group squid, could exacute binary.

* Mon Jan 16 2012 lisu <lisu@pld-linux.org> de199e4
- no more separated libtinfo(w)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 871cee4
- release 2

* Sat Jun 11 2011 marti <marti@pld-linux.org> add1c20
- up to 0.79

* Wed Feb 02 2011 zbyniu <zbyniu@pld-linux.org> 2c61822
- up to 0.78

* Sun Mar 08 2009 duddits <duddits@pld-linux.org> 2f96a12
- up to 0.73

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> 0c7ca83
- up to 0.72

* Fri May 04 2007 zbyniu <zbyniu@pld-linux.org> f9fb950
- up to 0.71

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0130a17
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 55ea96b
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> f3619d6
- orphaned, outdated

* Mon Feb 07 2005 matowy <matowy@pld-linux.org> d141389
- up to 0.69

* Mon Sep 20 2004 havner <havner@pld-linux.org> de3a673
- [mass commit] rel up for amd64 rebuild

* Thu Dec 18 2003 undefine <undefine@pld-linux.org> 8bfdf17
- update to 0.63

* Fri Dec 12 2003 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> c353ded
- updated to 0.61

* Sat Nov 29 2003 Jakub Bogusz <qboosh@pld-linux.org> 406851d
- grrr, BR: ac,am; cosmetics

* Fri Nov 28 2003 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> a419520
- added 'outdated' patch0 - updated
- added patch1 - wrong dest to howto.gz,ncurses.h
- added commands to %build
- updated doc
- updated to 0.60

* Fri Nov 28 2003 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> 6c46478
- updated to 0.60 (many changes)

